Multiple vulnerabilities in Linux kernel



Published: 2020-05-21
Risk Medium
Patch available YES
Number of vulnerabilities 2
CVE-ID CVE-2020-12888
CVE-2020-13143
CWE-ID CWE-125
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Linux kernel
Operating systems & Components / Operating system

Vendor Linux Foundation

Security Bulletin

This security bulletin contains information about 2 vulnerabilities.

1) Improper Handling of Exceptional Conditions

EUVDB-ID: #VU28159

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-12888

CWE-ID: N/A

Exploit availability: No

Description

The vulnerability allows a local user to perform a deinal of service (DoS) attack.

The vulnerability exists due to the VFIO PCI driver mishandles attempts to access disabled memory space. A local user can cause a denial of service condition on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Linux kernel: 5.6 - 5.6.13


CPE2.3 External links

http://www.openwall.com/lists/oss-security/2020/05/19/6
http://lore.kernel.org/kvm/158871401328.15589.17598154478222071285.stgit@gimli.home/
http://lore.kernel.org/kvm/158871570274.15589.10563806532874116326.stgit@gimli.home/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Out-of-bounds read

EUVDB-ID: #VU28157

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2020-13143

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to a boundary condition in "gadget_dev_desc_UDC_store" in "drivers/usb/gadget/configfs.c" file. A remote attacker can trigger out-of-bounds read error and cause a denial of service on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Linux kernel: 5.6 - 5.6.13


CPE2.3 External links

http://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=15753588bcd4bbffae1cca33c8ced5722477fe1f
http://www.spinics.net/lists/linux-usb/msg194331.html

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###